From vincent.vanackere@gmail.com Sun Jun  5 14:33:21 2005
Message-ID: <65258a580506050321f1eeab0@mail.gmail.com>
Date: Sun, 5 Jun 2005 12:21:43 +0200
From: Vincent Vanackere <vincent.vanackere@gmail.com>
To: Greg KH <gregkh@suse.de>, thoffman@arnor.net
Subject: USB: fix atiremote input doesn`t register `device` & `driver` section in sysfs (/sys/class/input/event#)
Cc: "Viktor A. Danilov" <__die@mail.ru>

> On Sun, Apr 10, 2005 at 07:21:28PM +0600, Viktor A. Danilov wrote:
> >
> > PROBLEM: aiptek input doesn`t register `device` & `driver` section in sysfs (/sys/class/input/event#)
> > REASON: `dev` - field not filled...
> > SOLUTION: in linux/drivers/usb/input/aiptek.c write
> >       aiptek->inputdev.dev = &intf->dev;
> > before calling
> >       input_register_device(&aiptek->inputdev);


The following (tested) patch fixes the exact same issue with the ATI
Remote input driver.


Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/input/ati_remote.c |    1 +
 1 files changed, 1 insertion(+)

--- gregkh-2.6.orig/drivers/usb/input/ati_remote.c	2005-06-01 13:51:14.000000000 -0700
+++ gregkh-2.6/drivers/usb/input/ati_remote.c	2005-06-05 23:44:18.000000000 -0700
@@ -654,6 +654,7 @@
 	idev->id.vendor = le16_to_cpu(ati_remote->udev->descriptor.idVendor);
 	idev->id.product = le16_to_cpu(ati_remote->udev->descriptor.idProduct);
 	idev->id.version = le16_to_cpu(ati_remote->udev->descriptor.bcdDevice);
+	idev->dev = &(ati_remote->udev->dev);
 }
 
 static int ati_remote_initialize(struct ati_remote *ati_remote)
